Name: avfs
Version: 0.9.7
Release: alt0.2
Packager: Dmitriy Khanzhin <jinn@altlinux.ru>

%def_without static

Summary: A Virtual File System layer
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/avf

Source: http://prdownloads.sourceforge.net/avf/%name-%version.tar.bz2

Requires: common-licenses

# Automatically added by buildreq on Sun Nov 12 2006
BuildRequires: unzip zip
BuildPreReq: bzlib-devel

%package -n lib%name
Summary: AVFS shared library
Group: System/Libraries
Requires: %name = %version-%release

%package -n lib%name-devel
Summary: AVFS development environment
Group: Development/C
Requires: lib%name = %version-%release

%if_with static
%package -n lib%name-devel-static
Summary: AVFS static library
Group: Development/C
Requires: lib%name-devel = %version-%release
%endif

%description
AVFS is virtual file system layer for transparently accessing the content
of archives and remote directories just like local files. Currently it can
access natively tar, rar, zip, ar, gzip, bzip2, ftp, http, dav and some other.

AVFS also supports extfs, the same extensible interface as known from Midnight
Commander, so AVFS can be extended to support new file systems easily. Support
for debian archives, rpm archives, iso9660 images, patch files and other archives
like lha, arj or cpio is available.

There are other virtual file systems available but AVFS is easier to use for
the user and it's easier to use for the developer.

%description -n lib%name
AVFS is virtual file system layer for transparently accessing the content
of archives and remote directories just like local files. Currently it can
access natively tar, rar, zip, ar, gzip, bzip2, ftp, http, dav and some other.

AVFS also supports extfs, the same extensible interface as known from Midnight
Commander, so AVFS can be extended to support new file systems easily. Support
for debian archives, rpm archives, iso9660 images, patch files and other archives
like lha, arj or cpio is available.

There are other virtual file systems available but AVFS is easier to use for
the user and it's easier to use for the developer.

This package contains AVFS shared library.

%description -n lib%name-devel
AVFS is virtual file system layer for transparently accessing the content
of archives and remote directories just like local files. Currently it can
access natively tar, rar, zip, ar, gzip, bzip2, ftp, http, dav and some other.

AVFS also supports extfs, the same extensible interface as known from Midnight
Commander, so AVFS can be extended to support new file systems easily. Support
for debian archives, rpm archives, iso9660 images, patch files and other archives
like lha, arj or cpio is available.

There are other virtual file systems available but AVFS is easier to use for
the user and it's easier to use for the developer.

This package contains AVFS include files.

%if_with static
%description -n lib%name-devel-static
AVFS is virtual file system layer for transparently accessing the content
of archives and remote directories just like local files. Currently it can
access natively tar, rar, zip, ar, gzip, bzip2, ftp, http, dav and some other.

AVFS also supports extfs, the same extensible interface as known from Midnight
Commander, so AVFS can be extended to support new file systems easily. Support
for debian archives, rpm archives, iso9660 images, patch files and other archives
like lha, arj or cpio is available.

There are other virtual file systems available but AVFS is easier to use for
the user and it's easier to use for the developer.

This package contains AVFS static library.
%endif

%prep
%setup -q -n %name-%version

%build
%configure --enable-library --enable-largefile
%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/avfs*
%_libdir/avfs
%doc ChangeLog README AUTHORS doc/README.avfs-fuse doc/FORMAT doc/api-overview doc/background

%files -n lib%name
%_libdir/*.so*

%files -n lib%name-devel
%_includedir/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Dec 04 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 0.9.7-alt0.2
- update spec

* Sat Nov 11 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 0.9.7-alt0.1
- Initial build
